/* sc-crontab.h
 * SommerCampus 2006
 * Linux/Unix Systemprogrammierung
 *
 * Licence: GPL-2 */

#ifndef SC_CRONTAB_H
#define SC_CRONTAB_H

#ifdef HAVE_CONFIG_H

#include <config.h>

#endif


#include <sys/stat.h>
#include <sys/types.h>
#include <dirent.h>
#include <pwd.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/wait.h>
#include <syslog.h>

#include <time.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>


typedef struct {
	char uname[32];
	char euname[32];
	uid_t uid;
	uid_t euid;
	char path[2][1024];
	int remove;
} in_user;

void parse_input(int argc, char **argv, in_user *uvals);

void help(const char *prog, const char *error, int status);

int copy(const char *src, const char *dest, uid_t dest_uid, gid_t dest_gid, mode_t dest_mod);

pid_t get_pid_from_cron_server(void);
/* return: pid on success, -1 on error, 0 if server is not running */

#endif
